import React from 'react';
import { IAmauiTheme } from '@amaui/style/AmauiTheme';
import { ThemeRequired } from '../style';
export interface IThemeValue extends ThemeRequired {
    updateWithRerender: (value: IAmauiTheme) => ThemeRequired;
}
interface ITheme extends React.HTMLAttributes<any> {
    root?: boolean;
    value?: IAmauiTheme;
    addCssVariables?: boolean;
    children?: any;
}
declare const Theme: React.ForwardRefExoticComponent<ITheme & React.RefAttributes<unknown>>;
export default Theme;
