"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const style_1 = require("@amaui/style");
const style_2 = __importDefault(require("./style"));
// May be TValue or a string  as a string value literal
const responses = {};
function className(value_, props_ = {}, className_ = '', options_ = {}) {
    if (!responses[options_.name])
        responses[options_.name] = [];
    const useStyle = react_1.default.useState(() => (0, style_2.default)(value_, options_, responses[options_.name]))[0];
    const values = useStyle(props_);
    return ((values.class && (0, style_1.classNames)([className_, values.class])) || '');
}
exports.default = className;
